PREFIX = /
ETCDIR = $(PREFIX)/etc
WWWDIR = $(PREFIX)/www
CACHEDIR = $(PREFIX)/cache
LOCDIR = $(PREFIX)/share
DOCDIR = $(PREFIX)/doc
LOGFILE = /access.log

CC = gcc
SORT = /bin/sort
INSTALL = /usr/bin/install

LARGEFILE = yes
SATSEP = '

# CPU (allowed by gcc '-march' option: native, i486, pentium3, athlon, nocona, k8 ...)
SARCH = native
ADDCFLAGS = \
	-O4 -pipe -march=$(SARCH) -fomit-frame-pointer				\
	-std=c99								\
	-W -Wall -Wextra -Wredundant-decls -Wnested-externs -Wstrict-prototypes	\
	-Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual		\
	-Wreturn-type -Wswitch -Wshadow -Wcast-align -Wuninitialized		\
	-Wchar-subscripts -Wuninitialized -Wbad-function-cast -Wwrite-strings
ADDLDFLAGS = --relax -mrelax
