PREFIX = /usr/local
ETCDIR = /etc/$(PROGLNAME)
WWWDIR = /var/www/htdocs/$(PROGLNAME)
CACHEDIR = /var/$(PROGLNAME)
LOCDIR = $(PREFIX)/share/$(PROGLNAME)
DOCDIR = $(PREFIX)/share/doc/$(PROGLNAME)-$(PROGVERSION)
LOGFILE = /var/squid/logs/access.log

CC = gcc
SORT = /usr/bin/sort
INSTALL = $(GMKPATH)/SAinstall.sh

LARGEFILE = yes
SATSEP = 

# CPU (allowed by gcc '-march' option: native, i486, pentium3, athlon, nocona, k8 ...)
SARCH = i386
ADDCFLAGS = \
	-O4 -pipe -march=$(SARCH) -fomit-frame-pointer				\
	-std=c99								\
	-W -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes		\
	-Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual		\
	-Wreturn-type -Wswitch -Wshadow -Wcast-align -Wuninitialized		\
	-Wchar-subscripts -Wuninitialized -Wbad-function-cast -Wwrite-strings
ADDLDFLAGS = --relax -mrelax
