#include "global.h"


size_t maxvname = 0L;


#define LENNO		4L
#define LENCONN		7L
#define LENBYTES	15L


void ReportEmail(void) {
    FILE *ER;
    short int i, j;
    int nolen = (int)SAmax(LENNO, strlen(loc->No)), 
	userlen = (int)SAmax(maxvname, strlen(loc->User)), 
	connlen = (int)SAmax(LENCONN, strlen(loc->Connections)), 
	byteslen = (int)SAmax(LENBYTES, strlen(loc->Bytes));
    char stext[FILENAMESIZE * 2L], tfname[FILENAMESIZE];
    
    /* ER: open */
    if (cfg.email_address[0] == '-' && cfg.email_address[1] == '\0') ER = stdout;
    else {
	SAsnprintf(tfname, sizeof(tfname), "%s/%s", cfg.cache_directory, icfg.ERname);
	ER = SAfopenI("w", tfname);
    }
    
    /* ER: header */
    SAfprintf(ER, "\
%*s p s p s c p d l\n\
%*s %-*s %*s %*s a a d d c s l c\n\
%*s f f n n t t d f\n", 
	    nolen + userlen + connlen + byteslen + 3, " ", 
    	    nolen, loc->No, userlen, loc->User, connlen, loc->Connections, byteslen, loc->Bytes,
	    nolen + userlen + connlen + byteslen + 3, " ");

    /* ER: separator */
    for (i = 0; i < nolen + userlen + connlen + byteslen + 8 + 4 + 7; i++) SAfwrite1("=", 1L, ER);
    SAfwrite1("\n", 1L, ER);
    
    /* ER: body */
    for (i = 0; i < icfg.ueCount; i++)
	if (Users[i].count) {
	    SAfprintf(ER, "%*hd %-*s %"SATSEP"*d %*s\n", nolen, i + 1, userlen, Users[i].vname, connlen, Users[i].count, byteslen, icfg.SAB(Users[i].Bytes));
	    for (j = 0; j < icfg.LFcount; j++) SAfprintf(ER, " %c", (Users[i].LFcount[j] ? (char)(j + 30) : ' '));
        }

    /* ER: separator */
    for (i = 0; i < nolen + userlen + connlen + byteslen + 8 + 4 + 7; i++) SAfwrite1("=", 1L, ER);
    SAfwrite1("\n", 1L, ER);
    
    /* ER: total and average */
    SAfprintf(ER, "%*s %-*s %"SATSEP"*d %*s\n", nolen, " ", userlen, loc->TOTAL, connlen, ccCount, byteslen, icfg.SAB(ccBytes));
    SAfprintf(ER, "%*s %-*s %"SATSEP"*d %*s\n", nolen, " ", userlen, loc->AVERAGE, connlen, ccCount / ccueCount, byteslen, icfg.SAB(ccBytes / ccueCount));

    /* ER: close and mail */
    if (!(cfg.email_address[0] == '-' && cfg.email_address[1] == '\0')) {
	SAfclose(ER);
	SAsnprintf(stext, sizeof(stext), "%s -s \"[%s] %s %s\" %s < %s", CMDMAILX, PROGNAME, icfg.Period, cfg.configuration_name, cfg.email_address, tfname);
	SAsystem(CMDSH, CMDSH, "-c", stext, NULL);
	SAunlink(tfname);
    }
}
