typedef struct BSC {
    double	bytes;
    double	seconds;
    int		count;
} BSC;


extern struct BSC ec[CODESSIZE], all[5];
extern double ccBytes, allmBytes[5], allmSeconds[5];
extern int ccCount;


struct MailRecord *(* READ_RECORDM)(FILE *iLog);
char (* READ_RECORDI)(FILE *Log, time_t *ttime, double *tSeconds, char *tip, short int *tcode, double *tBytes, char *tmethod, char *turl, char *tname, char *tstat);
char (* READ_DTI)(FILE *Log, time_t *ttime);
char (* READ_FULLDTI)(FILE *Log, time_t *ttime, char *tbuf);
void (* READ_ALIGN)(FILE *Log);


extern short int ComputeIndics(short int tcode, char tmethod, char *turl, char *tip, char *tstat, char *iname, double tbytes);
extern struct SAentry *ComputeUser(char *iname, char *tip);
extern void CollectLog(FILE *Log, time_t *rsdate, time_t *redate);
extern char SeekLog(FILE *Log, time_t sdate);
extern void ShowLogI(FILE *Log, time_t *mindate, time_t *maxdate);
extern void ShowLog(FILE *Log);
extern void CropLog(FILE *Log);
extern FILE *InitLog(void);
extern char READ_RECORD(FILE *Log, time_t *ttime, double *tSeconds, char *tip, short int *tcode, double *tBytes, char *tmethod, char *turl, char *tname, char *tstat);
extern char READ_DT(FILE *Log, time_t *ttime);
extern char READ_FULLDT(FILE *Log, time_t *ttime, char *tbuf);
