typedef struct ChartData {
    char	*label;
    double	value;
} ChartData;


extern double x, y;


/* Global SVG definitions */
#define SSVGPI		3.14159265358979/* pi						*/

#define FSDIV		100.0		/* x/fsdiv= font size				*/
#define TINDENT		0.25		/* fontsize*tindent= text vert/hor indent	*/
#define FONTPROP	2.5		/* fontprop= height/width of font		*/
#define LWDIV		500.0		/* y/lwdiv= line width				*/
#define YXRATIO		2.0		/* = x/y					*/

/* Pie chart definitions */
#define PC_TINDENTI	0.85		/* R*pctindenti= inner text indent from center	*/
#define PC_FSCALE	3.5		/* fontsize*pcfscale = fontsize for pie chart	*/
#define PC_MAXPIE	0.015		/* pcmaxpie*100%= limit for max drawn pie	*/

/* Bars chart definitions */
#define BC_IBSPDIV	0.3		/* inter-bar space divisor to bar width		*/
#define BC_AWCOEF	2.0		/* linewidth*awcoef= axis width			*/


void SVGReportAnyGraphs(double *mBytes, const char *vname, const char *name, short int elcount);
